# Class InitMultisigRequest

#### Hierarchy

- unknown
  - InitMultisigRequest

- Defined in src/protobuf/pb_pb.d.ts:1121
- Defined in src/protobuf/pb_pb.d.ts:1151

#####
Index

### Constructors

constructor

### Methods

getCurrentDate
getExchangedMultisigHex
getMadeMultisigHex
getPreparedMultisigHex
getTradeFeeAddress
getTradeId
getUid
serializeBinary
setCurrentDate
setExchangedMultisigHex
setMadeMultisigHex
setPreparedMultisigHex
setTradeFeeAddress
setTradeId
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new InitMultisigRequest(): InitMultisigRequest

- #### Returns InitMultisigRequest

  Inherited from jspb.Message.constructor

## Methods

### getCurrentDate

- getCurrentDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1128

### getExchangedMultisigHex

- getExchangedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1137

### getMadeMultisigHex

- getMadeMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1134

### getPreparedMultisigHex

- getPreparedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1131

### getTradeFeeAddress

- getTradeFeeAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1140

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1122

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1125

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1143

### setCurrentDate

- setCurrentDate(value: number): InitMultisigRequest

- #### Parameters

  - ##### value: number

  #### Returns InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:1129

### setExchangedMultisigHex

- setExchangedMultisigHex(value: string): InitMultisigRequest

- #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:1138

### setMadeMultisigHex

- setMadeMultisigHex(value: string): InitMultisigRequest

- #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:1135

### setPreparedMultisigHex

- setPreparedMultisigHex(value: string): InitMultisigRequest

- #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:1132

### setTradeFeeAddress

- setTradeFeeAddress(value: string): InitMultisigRequest

- #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:1141

### setTradeId

- setTradeId(value: string): InitMultisigRequest

- #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:1123

### setUid

- setUid(value: string): InitMultisigRequest

- #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:1126

### toObject

- toObject(includeInstance?: boolean): InitMultisigRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns InitMultisigRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1144

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): InitMultisigRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:1147

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: InitMultisigRequest, reader: BinaryReader): InitMultisigRequest

- #### Parameters

  - ##### message: InitMultisigRequest

  - ##### reader: BinaryReader

  #### Returns InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:1148

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: InitMultisigRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: InitMultisigRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1146

### `Static` toObject

- toObject(includeInstance: boolean, msg: InitMultisigRequest): InitMultisigRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: InitMultisigRequest

  #### Returns InitMultisigRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1145

Generated using TypeDoc